<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">
    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

    <View
        android:id="@+id/view_search_bg"
        android:layout_width="match_parent"
        android:layout_height="36dp"
        android:layout_marginStart="14dp"
        android:layout_marginEnd="14dp"
        android:background="@drawable/bg_white_18dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_search_icon"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:src="@drawable/icon_search"
        app:layout_constraintBottom_toBottomOf="@+id/view_search_bg"
        app:layout_constraintLeft_toLeftOf="@+id/view_search_bg"
        app:layout_constraintTop_toTopOf="@+id/view_search_bg" />

    <TextView
        android:id="@+id/et_target_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="5dp"
        android:background="@null"
        android:ellipsize="end"
        android:text="查找聊天记录"
        android:maxLines="1"
        android:paddingStart="8dp"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_13"
        app:layout_constraintBottom_toBottomOf="@+id/view_search_bg"
        app:layout_constraintLeft_toRightOf="@+id/iv_search_icon"
        app:layout_constraintRight_toLeftOf="@+id/tv_search"
        app:layout_constraintTop_toTopOf="@+id/view_search_bg" />

    <TextView
        android:id="@+id/tv_search"
        android:layout_width="56dp"
        android:layout_height="28dp"
        android:layout_marginEnd="6dp"
        android:background="@drawable/shape_1ecdac_18dp"
        android:gravity="center"
        android:text="搜索"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_14"
        app:layout_constraintBottom_toBottomOf="@+id/view_search_bg"
        app:layout_constraintRight_toRightOf="@+id/view_search_bg"
        app:layout_constraintTop_toTopOf="@+id/view_search_bg" />
    </androidx.constraintlayout.widget.ConstraintLayout>


    <include
        android:id="@+id/rc_conversationlist_notice_container"
        layout="@layout/rc_conversationlist_notice_view"
        android:visibility="gone"
        tools:visibility="visible" />



    <io.rong.imkit.widget.refresh.SmartRefreshLayout
        android:id="@+id/rc_refresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="@dimen/dp_16">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rc_conversation_list"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:overScrollMode="never"
            tools:listitem="@layout/rc_conversationlist_item" />
    </io.rong.imkit.widget.refresh.SmartRefreshLayout>
</LinearLayout>
